List Versions

  • GET
  • /workspaces
  • /:workspace
  • /artifacts
  • /:artifact_id
  • /versions

Get artifact versions list

Request

REQUIRED SCOPES
ARTIFACT_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

artifact_idrequiredstring
The Artifact ID

Example: "x5169jL2"

GET PARAMETERS
pageinteger
Page number for pagination

Example: 1

per_pageinteger
Number of items per page

Example: 20

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
versionsShortArtifactVersionView[]
List of artifact versions

Last modified on Jun 29, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_id/versions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2/versions", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions", "versions": [ { "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2/versions/0YgEzRGv", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions/0YgEzRGv", "version_url": "https://latest-my-artifact.bucket-1.registry.sh/", "id": "0YgEzRGv", "version": "latest", "size": 1048576, "created_date": "2024-01-20T10:30:00Z" }, { "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2/versions/WpgpeR2J", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions/WpgpeR2J", "version_url": "https://v1-1-0-my-artifact.bucket-1.registry.sh/", "id": "WpgpeR2J", "version": "v1.1.0", "size": 987654, "created_date": "2024-01-15T08:20:00Z" } ] }
STATUS
200 OK